"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.openHandler = void 0;
const token_1 = require("../../common/utils/token");
const logger_1 = require("../../logs/logger");
const openHandler = (io, clientOps, identifyingMetadata) => {
    var _a, _b;
    const metadata = {
        capabilities: identifyingMetadata.capabilities,
        clientId: identifyingMetadata.clientId,
        identifier: identifyingMetadata.identifier
            ? (0, token_1.hashToken)(identifyingMetadata.identifier)
            : '****',
        preflightChecks: identifyingMetadata.preflightChecks,
        version: identifyingMetadata.version,
    };
    if (clientOps.config.universalBrokerEnabled) {
        metadata['supportedIntegrationType'] =
            identifyingMetadata.supportedIntegrationType;
    }
    logger_1.log.info({
        url: clientOps.config.brokerServerUrl,
        serverId: (_b = (_a = identifyingMetadata.serverId) !== null && _a !== void 0 ? _a : clientOps.config.serverId) !== null && _b !== void 0 ? _b : '',
        token: clientOps.config.universalBrokerEnabled
            ? identifyingMetadata.identifier
            : clientOps.config.brokerToken,
        metadata,
    }, 'successfully established a websocket connection to the broker server');
    const clientData = {
        token: clientOps.config.universalBrokerEnabled
            ? identifyingMetadata.identifier
            : clientOps.config.brokerToken,
        metadata: identifyingMetadata,
    };
    io.send('identify', clientData);
};
exports.openHandler = openHandler;
//# sourceMappingURL=openHandler.js.map