"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getForwardHttpRequestHandler = exports.getForwardWebSocketRequestHandler = exports.initConnectionHandler = void 0;
const forwardHttpRequest_1 = require("../../common/relay/forwardHttpRequest");
const forwardWebsocketRequest_1 = require("../../common/relay/forwardWebsocketRequest");
const identifyHandler_1 = require("./identifyHandler");
let forwardWebSocketResponse;
let forwardHttpRequestHandler;
const initConnectionHandler = (serverOpts, websocket) => {
    forwardWebSocketResponse = (0, forwardWebsocketRequest_1.forwardWebSocketRequest)(serverOpts, websocket);
    forwardHttpRequestHandler = (0, forwardHttpRequest_1.forwardHttpRequest)(serverOpts);
    initRelevantHandlers();
};
exports.initConnectionHandler = initConnectionHandler;
const initRelevantHandlers = () => {
    (0, identifyHandler_1.initIdentifyHandler)();
};
const getForwardWebSocketRequestHandler = () => {
    return forwardWebSocketResponse;
};
exports.getForwardWebSocketRequestHandler = getForwardWebSocketRequestHandler;
const getForwardHttpRequestHandler = () => {
    return forwardHttpRequestHandler;
};
exports.getForwardHttpRequestHandler = getForwardHttpRequestHandler;
//# sourceMappingURL=initHandlers.js.map